/*  
 *  libmenuthing v0.0.1
 *  simple menu library.. thing
 *  ARM (GP2X)
 *  (C) Alvin Sipraga <alvin.sipraga@gmail.com>
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#ifndef _LMT_H_
#define _LMT_H_

#include <stdio.h>
#include <SDL.h>
#include <SDL_ttf.h>

#include <list>
#include <string>

using namespace std;

#define MT_ACT_UP 0
#define MT_ACT_DOWN 4
#define MT_ACT_SELECT 13
#define MT_ACT_QUIT 8

struct mt_list {
    std::string label;
    int selected;
    SDL_Rect dest;
    void (*func)(void *);
    void *farg;
} ;

void mt_init(void);
void mt_start_menu(list<mt_list>, string, string, string, SDL_Surface *);
void mt_add_item(list<mt_list> *, string, void (*)(void *), void *);
SDL_Surface *mt_rend_mask(string label, SDL_Color color,
        string font, string font_bold);

#endif /* _LMT_H_ */
